using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
//必须引入命名空间
using DotNet.FrameWork.Utils;
using DotNet.FrameWork.Common.Web;
using DotNet.FrameWork.Page;
using DotNet.FrameWork.Data;
using GetCommand;

namespace HteamDd.Web.Admin
{
    public partial class User_editor :BaseAdminUI
    {
        HaTeam.Dd.BLL.Dd_User bll = new HaTeam.Dd.BLL.Dd_User();
        HaTeam.Dd.Model.Dd_User model = new HaTeam.Dd.Model.Dd_User();
        public string img;
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                if (Fetch.Get("action") != null && Fetch.Get("user_id") != null)
                {
                    if (Fetch.Get("action").ToString() == "edit")
                    {
                        ShowInfo(int.Parse(Request.QueryString["user_id"].ToString()));
                    }
                }
            }
        }
        public void ShowInfo(int id)
        {
            model = bll.GetModel(id);
            txtName.Text = model.User_BlogName;
            txtEmail.Text = model.User_Email;
            img = model.User_HeadPhoto;
            if (model.User_Verify == 0)
            {
                rbtVerity2.Checked = true;
            }
            else { rbtVerity1.Checked = true; }
            rbtdelete2.Checked = true;
        }
    }
}